
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
    <script>
import extend from "@/extension/basic/areaRouter.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "缓存点",
      name: "areaRouter",
      url: "/areaRouter/",
      sortName: "id",
    });
    const editFormFields = ref({
      areaId: "",
      startArea: "",
      nextArea: "",
      routerType: "",
      isEnd: "",
    });
    const editFormOptions = ref([
      [
        {title: "起点",required: true,field: "startArea",type: "string",},
        {title: "终点区域ID",required: true,field: "nextArea",type: "select",dataKey: "areainfo",data: [],},
        
      ],
      [
        {title: "路由类型",field: "routerType",type: "like"},
        {title: "是否为终点",field: "isEnd",type: "select",dataKey: "enable",data: [],}
      ],
    ]);
    const searchFormFields = ref({
      areaId: "",
      pointCode: "",
      pointStatus: "",
      enableStatus: "",
      pointType: "",
    });
    const searchFormOptions = ref([
      [
        {title: "起点",required: true,field: "startArea",type: "string",},
        {title: "终点区域ID",field: "nextArea",type: "select",dataKey: "areainfo",data: [],},
        // {title: "终点区域ID",required: true,field: "nextArea",type: "string",},
      ],
      [
        {title: "路由类型",field: "routerType",type: "like"},
        {title: "是否为终点",field: "isEnd",type: "select",dataKey: "enable",data: [],}
      ],
    ]);
    const columns = ref([
      {
        field: "id",
        title: "Id",
        type: "int",
        width: 90,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      {
        field: "startArea",
        title: "起点",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "nextArea",
        title: "终点区域ID",
        type: "string",
        width: 150,
        align: "left",
        bind:{ key: "areainfo", data: [] },
      },
      {
        field: "routerType",
        title: "路由类型",
        type: "string",
        width: 90,
        align: "left",
        // bind: { key: "locationStatusEnum", data: [] },
      },
      {
        field: "isEnd",
        title: "是否是终点",
        type: "byte",
        width: 90,
        align: "left",
        bind: { key: "enable", data: [] },
      },
      {
        field: "remark",
        title: "备注",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "creater",
        title: "创建人",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 160,
        align: "left",
        sort: true,
      },
      {
        field: "modifier",
        title: "修改人",
        type: "string",
        width: 100,
        align: "left",
      },
      {
        field: "modifyDate",
        title: "修改时间",
        type: "datetime",
        width: 160,
        align: "left",
        sort: true,
      },
      {
        field: "remark",
        title: "备注",
        type: "string",
        width: 100,
        align: "left",
      },
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      table: "",
      columns: [],
      sortName: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
    